﻿# Delete Program Folder
$programPath = "$env:ProgramFiles\Cloudoman.SnapshotterCmd"
if (Test-Path $programPath) { ri -recurse -force $programPath }

# Remove Program from Path
[string[]] $currentList = ([Environment]::GetEnvironmentVariable("PATH","MACHINE")).Split(';')
$currentList = $currentList | ? {$_ -notcontains $programPath} | ? {!([string]::IsNullOrEmpty($_))} | select -uniq
$newPath = [string]::Join(';',$currentList)

[Environment]::SetEnvironmentVariable("PATH","$newPath ","MACHINE")